Summary:	Rootkit scans for rootkits, backdoors and local exploits
Name:		rkhunter
Version:	1.2.7
Release:	3%{_my_ext}
Source:		http://downloads.rootkit.nl/%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://www.rootkit.nl/
Group:		System/Configuration/Other
Requires:	webfetch e2fsprogs binutils
BuildRoot:	%{_tmppath}/%{name}-buildroot
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
Prefix:		%{_prefix}
BuildArch:	noarch

%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and local
exploits by running tests like:
	- MD5 hash compare
	- Look for default files used by rootkits
	- Wrong file permissions for binaries
	- Look for suspected strings in LKM and KLD modules
	- Look for hidden files
	- Optional scan within plaintext and binary files

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %name
chmod -R a+r .

%install
rm -rf $RPM_BUILD_ROOT
./installer.sh --installdir $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily/ $RPM_BUILD_ROOT%_sbindir $RPM_BUILD_ROOT/var/lib/%name/db $RPM_BUILD_ROOT/var/lib/%name/tmp
install files/rkhunter $RPM_BUILD_ROOT%_sbindir/
install -m 644 files/rkhunter.conf $RPM_BUILD_ROOT/etc/
echo "INSTALLDIR=/usr/share" >> $RPM_BUILD_ROOT/etc/rkhunter.conf
cp -p files/rkhunter.cron $RPM_BUILD_ROOT/etc/cron.daily/rkhunter
cp -p files/*.dat $RPM_BUILD_ROOT/var/lib/%name/db
cp -p files/*.dat $RPM_BUILD_ROOT/usr/share/%name/db
rm -fr $RPM_BUILD_ROOT/lib
chmod -R a+r $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%doc files/CHANGELOG files/README files/WISHLIST files/contrib files/tools
%config(noreplace) /etc/rkhunter.conf
%{_datadir}/%{name}
%_sbindir/*
/var/lib/%{name}
/etc/cron.daily/rkhunter

%changelog

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Sun May 29 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.7-1bgn
 - New version
 
* Wed May 11 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.6-1bgn
 - Fixed problem with updater
 - Fixed permissions of check_update.sh
 - Fixed typo in help
 - Improved detection for some unknown rootkits/backdoors
 - Improved messages/logging
 - Some code cleanups
 - Important: fixed a security issue, related to temporary files

* Wed Apr 27 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.4-2bgn
 - Fixed a error where rkhunter can't find the files check_update.sh & showfiles.pl
   http://ww2.borgnet.us/bugzilla/show_bug.cgi?id=5

* Wed Apr 27 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.4-1bgn
 - Added cron.daily script for Mandriva
 
 New:
 - Added support for E-smith (SME 6.0)

 Changes:
 - Updated hashes for Fedora core 2
 - Improved documentation of tools (see tools directory)
 - Removed logging from installer

 Bugfixes:
 - Fixed problem when using --allow-ssh-root-user (option was overwritten
   by configuration file option)

* Tue Mar 22 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.3-1bgn
 - New version -- Now fully supports Mandrake 10.1 OE and CE
 - Added support for Mandrake 10.1
 - Added hashes for Mandrake 10.1. Thanks to Roderick B. Greening

* Fri Mar 09 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.1-2bgn
- Bug corrected in os.dat http://ww2.borgnet.us/bugzilla/show_bug.cgi?id=4
- It wasn't correct for current Mandrake Release 10.1

* Fri Mar 09 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.1-1bgn
- New release 1.2.1

# end of file
